# This package follows pre-release packaging guidelines
# See https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Pre-Release_packages
%global changeset 5ebc6aae4d7c
%global checkout 20130429hg
%global release_inc 1

Name:           dovecot-antispam
Version:        0
Release:        0.%{release_inc}.%{checkout}%{?dist}
Summary:        The antispam plugin for Dovecot

Group:          System Environment/Libraries
License:        GPLv2
URL:            http://wiki2.dovecot.org/Plugins/Antispam
Source0:        http://hg.dovecot.org/%{name}-plugin/archive/%{changeset}.tar.gz#/%{name}-plugin-%{changeset}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  dovecot-devel

%description
The antispam plugin allows you to retrain the spam filter by simply moving
emails in and out of the Spam folder. This is the fork of the analogous
plugin for Dovecot versions prior to v2.0. 

%prep
%setup -qn %{name}-plugin-%{changeset}

%build
%{__aclocal} -I m4
%{__autoheader}
%{__autoconf}
%configure \
  --with-dovecot=%{_libdir}/dovecot
make %{?_smp_mflags}

%install
make %{?_smp_mflags} install DESTDIR=%{buildroot}

%files
%doc README
%license COPYING
%{_libdir}/dovecot/lib90_antispam_plugin.so
%{_mandir}/man7/dovecot-antispam.7.gz

%changelog
* Sat Sep 19 2015 Scott K Logan <logans@cottsay.net> - 0-0.1.20130429hg
- Initial package
